In preparation for having automated testing with Vulkan traces.
Signed-off-by: Andres Gomez <agomez@igalia.com>
Reviewed-by: Samuel Pitoiset <samuel.pitoiset@gmail.com>
Reviewed-by: Alexandros Frantzis <alexandros.frantzis@collabora.com>
x86_test-vk:
extends: x86_build
variables:
- DEBIAN_TAG: &x86_test-vk "2020-02-01"
+ DEBIAN_TAG: &x86_test-vk "2020-02-02"
# Can only be triggered manually on personal branches because RADV is the only
# driver that does Vulkan testing at the moment.
rules:
--- /dev/null
+#!/bin/bash
+
+set -ex
+
+# https://github.com/LunarG/gfxreconstruct/issues/328
+GFXRECONSTRUCT_VERSION=b66cd392a84b226cb60ad9d4130ddeb58a1559cb
+
+git clone https://github.com/LunarG/gfxreconstruct.git --single-branch --no-checkout /gfxreconstruct
+pushd /gfxreconstruct
+git checkout "$GFXRECONSTRUCT_VERSION"
+git submodule update --init
+git submodule update
+cmake -G Ninja -B_build -H. -DCMAKE_BUILD_TYPE=Release
+ninja -C _build -j4 gfxrecon-replay
+mkdir -p build/bin
+install _build/tools/replay/gfxrecon-replay build/bin
+strip build/bin/*
+find . -not -path './build' -not -path './build/*' -delete
+popd
libexpat1 \
libgbm-dev \
libgles2-mesa-dev \
+ liblz4-1 \
+ liblz4-dev \
libpng16-16 \
libpng-dev \
libvulkan1 \
libvulkan-dev \
+ libwayland-client0 \
libwayland-server0 \
libxcb-randr0 \
libxcb-xfixes0 \
. .gitlab-ci/build-deqp-vk.sh
+############### Build gfxreconstruct
+
+. .gitlab-ci/build-gfxreconstruct.sh
############### Uninstall the build software
gnupg \
libgbm-dev \
libgles2-mesa-dev \
+ liblz4-dev \
libpng-dev \
libvulkan-dev \
libxkbcommon-dev \